Check status
curl --request GET \
--url https://api.usebouncer.com/v1.1/email/verify/batch/{batchId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.usebouncer.com/v1.1/email/verify/batch/{batchId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.usebouncer.com/v1.1/email/verify/batch/{batchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batchId": "4d5fdf6b5ee97c4dbbccbfe1",
"created": "2023-03-26T15:27:26.713Z",
"started": "2023-03-26T15:27:30.124Z",
"status": "processing",
"quantity": 2,
"duplicates": 0
}Batch
Check status
Retrieve status of your request based on request id.
GET
/
v1.1
/
email
/
verify
/
batch
/
{batchId}
Check status
Field “credits” will be filled with number of credits used once batch is
complete.
Additional query parameter “with-stats=true” will add to the response
processing progress and statistics.
{
"batchId": "642152127eec9c46c00fb8d7",
"created": "2023-03-27T08:21:38.357Z",
"started": "2023-03-27T08:21:40.355Z",
"completed": "2023-03-27T08:21:51.426Z",
"status": "completed",
"quantity": 2,
"duplicates": 0,
"credits": 2,
"processed": 2,
"stats": {
"deliverable": 1,
"risky": 0,
"undeliverable": 1,
"unknown": 0
}
}
⌘I